play.cache

## Class DefaultCacheKeyGenerator

- java.lang.Object
- - play.cache.DefaultCacheKeyGenerator

- All Implemented Interfaces:
    CacheKeyGenerator

      public class DefaultCacheKeyGenerator
      extends java.lang.Object
      implements CacheKeyGenerator

  The Default Cache Key Generator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultCacheKeyGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `generate(Http.Request request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCacheKeyGenerator

          public DefaultCacheKeyGenerator()

  - ### Method Detail

    - #### generate

          public java.lang.String generate(Http.Request request)

      Specified by:
        `generate` in interface `CacheKeyGenerator`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly